Change log for graphviz package in Debian

148 of 48 results
Published in buster-release on 2017-09-24
Published in sid-release on 2017-09-19
graphviz (2.38.0-18) unstable; urgency=medium

  * Don't install 'dot' but symlink to its libgvc6-config-update variant
    (closes: #868546).
  * Use ldconfig trigger for libgvc6 instead of direct call in postrm.

 -- Laszlo Boszormenyi (GCS) <email address hidden>  Mon, 18 Sep 2017 19:45:34 +0000
Superseded in buster-release on 2017-09-24
Published in stretch-release on 2017-02-22
Superseded in sid-release on 2017-09-19
graphviz (2.38.0-17) unstable; urgency=medium

  * Correct host value for configure in Jonathan's upload (closes: #855418).

 -- Laszlo Boszormenyi (GCS) <email address hidden>  Sun, 19 Feb 2017 10:32:17 +0000
Superseded in sid-release on 2017-02-20
graphviz (2.38.0-16.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use DEB_BUILD_MULTIARCH from dpkg-architecture to avoid
    changing paths when the baseline ISA changes (closes: #843496)

 -- Jonathan Wiltshire <email address hidden>  Sat, 28 Jan 2017 13:26:14 +0000
Superseded in stretch-release on 2017-02-22
Superseded in sid-release on 2017-01-30
graphviz (2.38.0-16) unstable; urgency=low

  * Fix libgv-python broken symlink (closes: #839176).
  * Add libann-dev to build dependency to build tool mingle (closes: #830998).

 -- Laszlo Boszormenyi (GCS) <email address hidden>  Thu, 20 Oct 2016 19:43:26 +0200
Superseded in stretch-release on 2016-11-03
Superseded in sid-release on 2016-10-25
graphviz (2.38.0-15) unstable; urgency=low

  * Backport upstream development of following the move of libgd from
    gdlib-config to pkg-config (closes: #827806).

 -- Laszlo Boszormenyi (GCS) <email address hidden>  Sun, 28 Aug 2016 11:17:28 +0000
Superseded in stretch-release on 2016-09-08
Superseded in sid-release on 2017-09-19
graphviz (2.38.0-14) unstable; urgency=medium

  * Disable PHP5 bindings binary package (closes: #821676).
  * Install Graphviz GDK plugin as well (closes: #825576).
  * Remove bashism from gvmap.sh (closes: #772234).
  * Make rebuildable.

 -- Laszlo Boszormenyi (GCS) <email address hidden>  Fri, 10 Jun 2016 10:20:16 +0000
Superseded in stretch-release on 2016-06-16
Superseded in sid-release on 2016-06-11
graphviz (2.38.0-13) unstable; urgency=low

  * Update copyright file to be in format 1.0 and license be EPL
    (closes: #795317).
  * Build with GTS Library to interconnected triangles support
    (closes: #756455).
  * Build with -fno-ipa-sra on mipsel and mips to workaround GCC bug
    (closes: #804297).
  * Update libgraphviz-dev dependency (closes: #702683, #754053).
  * Build fine with ruby1.9 installed (closes: #719248).
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <email address hidden>  Mon, 11 Apr 2016 13:58:14 +0000
Superseded in stretch-release on 2016-04-23
Superseded in sid-release on 2016-05-15
graphviz (2.38.0-12) unstable; urgency=low

  * Build with Ruby 2.2 version.
  * Remove uninstalled smyrna documentation (closes: #596707).

  [ Antonio Terceiro <email address hidden> ]
  * Fix FTBFS with Ruby 2.2 as default (closes: #804799).

 -- Laszlo Boszormenyi (GCS) <email address hidden>  Tue, 17 Nov 2015 18:25:54 +0100

Available diffs

Superseded in stretch-release on 2015-11-18
Superseded in sid-release on 2015-11-18
graphviz (2.38.0-11) unstable; urgency=low

  * Backport build fix of RedHat for Ruby 2.2 transition (closes: #803587).
  * Remove libltdl-dev from build dependencies (closes: #746012).
  * Call ldconfig during libgvc6 removal.

 -- Laszlo Boszormenyi (GCS) <email address hidden>  Sat, 31 Oct 2015 17:09:29 +0100
Superseded in stretch-release on 2015-11-11
Superseded in sid-release on 2015-11-09
graphviz (2.38.0-10) unstable; urgency=low

  * Use the real libgd-dev for build dependency and not the old transitional
    one (closes: #791852).

 -- Laszlo Boszormenyi (GCS) <email address hidden>  Wed, 08 Jul 2015 20:25:54 +0000

Available diffs

Superseded in stretch-release on 2015-07-19
Superseded in sid-release on 2015-07-09
graphviz (2.38.0-9) unstable; urgency=medium

  * Finish dh_python2 transition and use 2.7 as minimal version for Python
    (closes: #783680).

 -- Laszlo Boszormenyi (GCS) <email address hidden>  Wed, 20 May 2015 17:03:32 +0000
Superseded in sid-release on 2015-06-01
graphviz (2.38.0-8) unstable; urgency=medium


  * Add dh-python to build depends.
  * Add PHP module loading ini (closes: #649015).
  * Update Standars-Version to 3.9.6 .
  * New maintainer (closes: #736605).

 -- Laszlo Boszormenyi (GCS) <email address hidden>  Mon, 13 Apr 2015 19:25:56 +0000
Published in wheezy-release on 2015-01-10
graphviz (2.26.3-14+deb7u2) wheezy-security; urgency=high


  * Non-maintainer upload by the Security Team.
  * Add CVE-2014-9157.patch patch (Closes: #772648)
     Format string vulnerability in the yyerror function in 
     lib/cgraph/scan.l in Graphviz allows remote attackers to 
     have unspecified impact via format string specifiers in 
     unknown vector, which are not properly handled in an
     error string.

 -- Thorsten Alteholz <email address hidden>  Mon, 08 Dec 2014 17:34:32 +0100
Superseded in stretch-release on 2015-06-02
Published in jessie-release on 2014-12-13
Superseded in sid-release on 2015-07-10
graphviz (2.38.0-7) unstable; urgency=high


  * QA upload.
  * Add CVE-2014-9157.patch.
    Fix format string vulnerability (CVE-2014-9157) in yyerror() routine
    which may allow attackers to cause a denial of service or possibly
    execute code.
    Thanks to Marc Deslauriers <email address hidden> (Closes: #772648)

 -- Salvatore Bonaccorso <email address hidden>  Wed, 10 Dec 2014 07:21:52 +0100
Superseded in jessie-release on 2014-12-13
Superseded in sid-release on 2014-12-11
graphviz (2.38.0-6) unstable; urgency=medium


  * QA upload.
  * Sync and re-enable kfreebsd-hang.patch (thanks to Steven
    Chamberlain; closes: #760165).

 -- Gilles Filippini <email address hidden>  Mon, 01 Sep 2014 23:43:10 +0200
Superseded in jessie-release on 2014-09-29
Superseded in sid-release on 2014-09-28
graphviz (2.38.0-5) unstable; urgency=medium


  * QA upload.
  * Change the GVPLUGIN_CONFIG_FILE to /usr/lib/graphviz/config6a.
    Closes: #756308.
  * Remove old libgraphviz4 packaging files.

 -- Matthias Klose <email address hidden>  Tue, 05 Aug 2014 10:51:22 +0200

Available diffs

Superseded in jessie-release on 2014-08-11
Superseded in sid-release on 2014-08-06
graphviz (2.38.0-4) unstable; urgency=medium


  * QA upload.
  * libgvc6-plugins-gtk: Conflict with libgvc5-plugins-gtk. Closes: #755198.
  * Apply a work around to reduce the package size. Addresses: #755124.
  * Add missing -lm in link of cmd/dot. Closes: #755232.

 -- Matthias Klose <email address hidden>  Sat, 19 Jul 2014 14:10:45 +0200

Available diffs

Superseded in sid-release on 2014-07-20
graphviz (2.38.0-3) unstable; urgency=medium


  * QA upload.
  * Fix maintainer scripts to call libgvc6-config-update. Closes: #755065.

 -- Matthias Klose <email address hidden>  Thu, 17 Jul 2014 20:45:15 +0200
Superseded in sid-release on 2014-07-18
graphviz (2.38.0-2) unstable; urgency=medium


  * QA upload.
  * Add a simple autopkg test.

 -- Matthias Klose <email address hidden>  Thu, 17 Jul 2014 17:13:41 +0200
Superseded in sid-release on 2014-07-18
graphviz (2.38.0-1) unstable; urgency=medium


  * QA upload, coordinated with the ITA submitter in #736605.
  * New upstream version. Closes: #645410, #724593.
  * Bump standards version to 3.9.5.
  * Build using dh_python2.
  * Drop unused build-dependency on pdksh.
  * Mark graphviz Multi-Arch: foreign.
  * Build using guile-2.0. Closes: #746012.
  * Configure with --disable-silent-rules.
  * Configure for the Tcl/Tk 8.6 multiarch installation.
  * Build using lua5.2.
  * Build using lua2.1.
  * Recommend fonts-liberation rather than ttf-liberation.
  * Don't hard code /usr/lib/perl5 in perl install file. Closes: #752346.

 -- Matthias Klose <email address hidden>  Mon, 14 Jul 2014 17:43:01 +0200
Superseded in jessie-release on 2014-08-02
Superseded in sid-release on 2014-11-17
graphviz (2.26.3-17.1) unstable; urgency=low


  * Non-maintainer upload
  * Correct typo in rules so config.{sub,guess} is actually updated. (Closes: #749061)

 -- Wookey <email address hidden>  Fri, 23 May 2014 14:25:42 +0000
Superseded in jessie-release on 2014-07-06
Superseded in sid-release on 2014-12-12
graphviz (2.26.3-17) unstable; urgency=medium


  * QA upload.
  * First QA upload, setting maintainer to Debian QA Group.
  * Fix build with Ruby 2.0. (Closes: #743996)

 -- Christian Hofstaedtler <email address hidden>  Sun, 20 Apr 2014 16:00:36 +0200
Published in squeeze-release on 2014-02-15
graphviz (2.26.3-5+squeeze2) squeeze-security; urgency=high


  * Non-maintainer upload by the Security Team.
  * Add CVE-2014-0978.patch patch.
    CVE-2014-0978: Fix stack-based buffer overflow due to a boundary error
    in the "yyerror()" function. (Closes: #734745)
  * Add CVE-2014-1236.patch patch.
    CVE-2014-1236: buffer overflow from user input (the regexp in chkNum
    would accept arbitrary long digit list) (Closes: #734745)

 -- Salvatore Bonaccorso <email address hidden>  Sat, 11 Jan 2014 15:19:46 +0100
Superseded in jessie-release on 2014-04-26
Superseded in sid-release on 2014-04-23
graphviz (2.26.3-16.2) unstable; urgency=medium


  * Non-maintainer upload.
  * Build Ruby bindings for Ruby 1.9.1. (Closes: #722396)

 -- Christian Hofstaedtler <email address hidden>  Wed, 12 Feb 2014 04:03:17 +0100
Superseded in wheezy-release on 2015-01-10
graphviz (2.26.3-14+deb7u1) wheezy-security; urgency=high


  * Non-maintainer upload by the Security Team.
  * Add CVE-2014-0978.patch patch.
    CVE-2014-0978: Fix stack-based buffer overflow due to a boundary error
    in the "yyerror()" function. (Closes: #734745)
  * Add CVE-2014-1236.patch.
    CVE-2014-1236: buffer overflow from user input (the regexp in chkNum
    would accept arbitrary long digit list) (Closes: #734745)

 -- Salvatore Bonaccorso <email address hidden>  Sat, 11 Jan 2014 14:34:32 +0100
Superseded in jessie-release on 2014-02-17
Superseded in sid-release on 2014-02-13
graphviz (2.26.3-16.1) unstable; urgency=medium


  * Non-maintainer upload.
  * Add CVE-2014-1235.patch patch.
    CVE-2014-1235: buffer overflow vulnerability in yyerror() introduced by
    original fix for CVE-2014-0978. (Closes: #734745)
  * Add CVE-2014-1236.patch patch.
    CVE-2014-1236: buffer overflow from user input (the regexp in chkNum
    would accept arbitrary long digit list) (Closes: #734745)
  * Enable hardened build flags.
    Thanks to Moritz Muehlenhoff <email address hidden> (Closes: #734804)
  * Add fix-missing-format-string.patch patch.
    Fixes missing format strings for printf and fprintf calls.

 -- Salvatore Bonaccorso <email address hidden>  Sun, 12 Jan 2014 14:37:45 +0100
Superseded in jessie-release on 2014-01-23
Superseded in sid-release on 2014-01-18
graphviz (2.26.3-16) unstable; urgency=medium


  * Add patch cherry-picked from upstream's github - fixes buffer
    overflow when processing a very long line (Closes: #729273, #505436)

 -- David Claughton <email address hidden>  Sat, 23 Nov 2013 23:25:28 +0000
Superseded in squeeze-release on 2014-02-15
graphviz (2.26.3-5+squeeze1) stable; urgency=low


  * Use system ltdl in place of version in subdir (Closes: #702436)
    - Currently an ancient version of libltdl is being
      shipped by upstream and linked against, unnoticed until now.
      Changed configure.ac to ensure system ltdl is used instead
    - Security issue - shipped ltdl is susceptible to issue
      described in DSA-1958-1 (CVE-2009-3736)

 -- David Claughton <email address hidden>  Tue, 19 Mar 2013 23:24:52 +0000
Superseded in jessie-release on 2013-12-29
Superseded in sid-release on 2013-12-25
graphviz (2.26.3-15) unstable; urgency=low


  * Disable python2.6 (Closes: #707502)

 -- Christoph Egger <email address hidden>  Tue, 25 Jun 2013 12:35:36 +0200
Superseded in jessie-release on 2013-08-02
Superseded in wheezy-release on 2014-02-08
Superseded in sid-release on 2013-06-25
graphviz (2.26.3-14) unstable; urgency=low


  * Use system ltdl in place of version in subdir (Closes: #702436)
    - Currently an ancient version of libltdl is being
      shipped and used, unnoticed until now.
      Changed configure.ac to ensure system ltdl is used instead
    - Security issue - affected by DSA-1958-1 (CVE-2009-3736)

 -- David Claughton <email address hidden>  Fri, 08 Mar 2013 22:37:51 +0000
Superseded in wheezy-release on 2013-03-18
Superseded in sid-release on 2013-03-13
graphviz (2.26.3-13) unstable; urgency=low


  [ David Claughton ]
  * Add 'fontfaq.txt' file to graphviz-doc package 

  [ Christoph Egger ]
  * Import patch by Steven Chamberlain to fix hangs on kfeebsd (Closes: #701832)

 -- David Claughton <email address hidden>  Sun, 23 Sep 2012 22:10:00 +0100
Superseded in wheezy-release on 2013-03-09
Superseded in sid-release on 2013-03-05
graphviz (2.26.3-12) unstable; urgency=low


  * Fixes to explicitly use ruby 1.8 as default for ruby is now 1.9
    (Graphviz doesn't currently support ruby 1.9) 
    (Closes: #676098)

 -- David Claughton <email address hidden>  Tue, 10 Jul 2012 21:41:24 +0100
Superseded in sid-release on 2012-07-11
graphviz (2.26.3-11) unstable; urgency=low


  * Remove reference to python 2.5 which is no longer available in sid
    (Closes: #669517) 

 -- David Claughton <email address hidden>  Wed, 02 May 2012 21:53:08 +0100
Superseded in wheezy-release on 2012-07-21
Superseded in sid-release on 2012-07-11
graphviz (2.26.3-10) unstable; urgency=low


  * Fixes for compatibility with Automake 1.11.2 (Closes: #661909)
  * Changed BD from libpng12-dev to libpng-dev (Closes: #662360)

 -- David Claughton <email address hidden>  Tue, 13 Mar 2012 20:35:21 +0000
Superseded in wheezy-release on 2012-03-21
Superseded in sid-release on 2012-03-16
graphviz (2.26.3-9) unstable; urgency=low


  * Include patch by Samuel Thibault to handle autotools failure on hurd
    (Closes: #648520)

 -- Christoph Egger <email address hidden>  Sun, 01 Jan 2012 15:35:06 +0100
Superseded in wheezy-release on 2012-01-12
Superseded in sid-release on 2012-04-01
graphviz (2.26.3-8) unstable; urgency=low


  [ David Claughton ]
  * Switch Build Deps to unversioned tcl/tk-dev (Closes: #639288)
    - Includes symlink /usr/lib/tclConfig.sh pointing to /usr/lib/tcl8.5.
      Needed as configure.ac no longer finds tclConfig.sh on 64-bit builds
      (it looks for /usr/lib64/tclConfig but /usr/lib64 symlink no longer present).

  [ Christoph Egger ]
  * Remove ocaml bindings (Closes: #647435)

 -- Christoph Egger <email address hidden>  Wed, 02 Nov 2011 20:17:06 +0100
Superseded in wheezy-release on 2011-11-09
Superseded in sid-release on 2012-01-03
graphviz (2.26.3-7) unstable; urgency=low
  * refresh patches  * Add patch by Petr Salinger to handle chroot case on kFreeBSD    correctly (Closes: #575797)  * Fix clean target -- Christoph Egger <email address hidden>  Wed, 18 May 2011 23:13:54 +0200
Superseded in wheezy-release on 2011-09-21
Superseded in sid-release on 2011-09-20
graphviz (2.26.3-6) unstable; urgency=low
  [ David Claughton ]  * Fix capitalisation of PHP in package description (Closes: #613990)  * Apply patch by Samuel Thibault to fix problem on Hurd causing    doxygen FTBFS bugs - Thanks Samuel! (Closes: #578320)   * Add Python 2.7 support (Closes: #623165). Thanks to Barry Warsaw    for the patch and Mehdi Dogguy for additional work and testing.    - Added dh-autoreconf as a Build-Dependency    - Added patch python27-support  * Simply patch 50_remove_changelog_in because we now autoreconf.  * Minor fixes to dot.1 manpage. Thanks to Mats Erik Andersson    for the patch. (Closes: #622781)  [ Mehdi Dogguy ]  * Rebuild with OCaml 3.12.0 (Closes: #623289). -- David Claughton <email address hidden>  Tue, 26 Apr 2011 22:26:05 +0200
Superseded in wheezy-release on 2011-09-21
Superseded in squeeze-release on 2013-10-19
Superseded in sid-release on 2011-09-20
graphviz (2.26.3-5) unstable; urgency=low


  [ David Claughton ]
  * Oops, spelling correction to lefty.1 manpage missed 2.26.3-3 and
    got included into 2.26.3-4 instead.  Fixed-up changelog to
    reflect true history.
  * Fix bashism in vimdot (Closes: #581107)
  * Build with GTK Support (Closes: #457433)

  [ Christoph Egger ]
  * Bump dependency on debhelper as needed by dh-ocaml foo

 -- David Claughton <email address hidden>  Fri, 11 Jun 2010 00:58:54 +0100
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
graphviz (2.26.3-4) unstable; urgency=low


  * Add patch to fix segfault in circo. Backported from upstream snapshot
    release.  Thanks to Francis Russell for his work on this.
    (Closes: #575255)

 -- David Claughton <email address hidden>  Wed, 24 Mar 2010 22:45:18 +0000
Superseded in sid-release on 2011-09-20
graphviz (2.26.3-3) unstable; urgency=low


  * Backport fix on CVS for dot -y output (Closes: #573781) 
  * Restore missing changelog entries which vanished as a result of 
    2.26 development being done on a branch

 -- David Claughton <email address hidden>  Tue, 16 Mar 2010 21:51:38 +0000
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
graphviz (2.26.3-2) unstable; urgency=low


  * Add manpages for vimdot and diffimg
  * Create dot2glx.1 and glx2dot.1 as symlinks to gv2glx.1 and glx2gv.1
    (executables are already linked equivalently)
  * Fix manpage warnings and spelling mistakes reported by Lintian.
  * Remove absolute path to libgvc5-config-update in postinst
  * Fixup NEWS.Debian
  * Add patch fix_powerpc_ftbfs - make upstream's fix to powerpc-darwin8
    apply only when building on darwin
  * Add missing file lib/common/mksvgfonts.pl which can be found in
    upstream CVS but is not in the release tarball.
  * Added patch 3_fix_pango_font_selection to append comma to font
    family name passed to pango - needed when family name contains
    spaces.
  * Update Standards Version (no changes required)
  * Changed build deps libjpeg62-dev -> libjpeg-dev as recommended
    by release team.
  * Modified short descriptions to libraries to make them unique.
  * Moved libgvc5-config-update manpage to section 8 (Closes: #512447)

 -- David Claughton <email address hidden>  Thu, 09 Feb 2010 22:30:55 +0000
Deleted in experimental-release (Reason: None provided.)
graphviz (2.26.3-1) experimental; urgency=low


  [ David Claughton ]
  * New upstream release (Closes: #554222, #522356, #521539)
  * Switched to package format 3.0 (quilt)
    - avoids need to repack to remove debian directory
  * Split libgraphviz4 package into separate packages for libgraph4,
    libcgraph5, libcdt4, libpathplan4 and libgvc5 due to soname
    changes and removal of libagraph
    N.B. libraries conflict with libgraphviz4 - this release cannot coexist
    with the previous one
  * Patches no longer needed due to inclusion upstream or obsoleted
    by upstream changes
    - 0_versioned_plugin_config_file
    - 0_libtool_linking_reorder_workaround
    - 10_fix_tred_regression
    - 20_fix_parser_stack_overflow
    - 30_fix_swig_tcl_ftbfs
  * Patches with hunks removed because they are included or obsoleted by
    upstream
    - 0_bindings_documentation
    - 0_tcl_manpages_section
    - 40_fix_swig_php_ftbfs
  * Added support for python 2.6; Dropped support for 2.4 (Closes: #522004)
  * Removed manpage renames, now done upstream
  * libagraph.so and agraph.3 manpage no longer exist
  * Added patch 50_remove_changelog_in to prevent upstream attempt to
    recreate changelog from changelog.in
  * Updated build-deps
  * Corrected install location of libgv-tcl libraries (Closes: #521538)
    (Thanks Ilya Anfimov)

  [ Christoph Egger ]
  * Drop quilt from build-deps, no longer needed with source 3.0
  * Linewrap build-deps so diff becomes usable
  * Bump standards Version (no changes)
  * Determine --enable-python$ver automatically
  * Upload to experimental

 -- Christoph Egger <email address hidden>  Sun, 31 Jan 2010 23:19:24 +0100
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
graphviz (2.20.2-8) unstable; urgency=low


  * Maintenance upload until 2.26 is ready
  * Add phpapi-<version> depend to libgv-php5 (Closes: #566287) 
  * Minor fix to debian/rules - use pyversions -r instead of -s in
    PYTHON_VERSIONS def.  Fixes FTBFS due to migration of python2.6 to
    unstable.
  * Fix a couple of issues preventing graphviz from building twice
    in succession
      - modified patch 20_fix_parser_stack_overflow to only patch parser.y
        not intermediate bison files - also causes intermediate files to
        be regenerated
      - added patch 0_fix_htmlparse_bison_2_4 to fix FTBFS when using
        bison 2.4

 -- David Claughton <email address hidden>  Sat, 23 Jan 2010 23:24:40 +0000
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
graphviz (2.20.2-7) unstable; urgency=low


  * Maintenance upload untill 2.26 is ready
  * New Maintainers (Closes: #536245)
  * Drop python2.4 support (Closes: #562407)
  * Version dependency on swig (Closes: #505040)

 -- Christoph Egger <email address hidden>  Wed, 30 Dec 2009 22:56:41 +0100
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
graphviz (2.20.2-6) unstable; urgency=low


  * QA upload.

  * Don't install gv.a on non-native OCaml architectures.

 -- Mehdi Dogguy <email address hidden>  Thu, 17 Dec 2009 11:47:30 +0100
Superseded in sid-release on 2011-09-20
graphviz (2.20.2-4) unstable; urgency=high


  * QA upload.
  * Orphan the package:
     - Set Maintainer to Debian QA Group <email address hidden>.
     - Please contact Sebastian Harl if you're interested (See: #536245).
  * Fix FTBFS due to broken tcl/swig code generation, thanks to Ludovico
    Cavedon (Closes: #542979):
     - debian/patches/30_fix_swig_tcl_ftbfs
  * Fix FTBFS due to swig's move from -php5 to -php, thanks to Ludovico
    Cavedon again:
     - debian/patches/40_fix_swig_php_ftbfs
  * Fix FTBFS when other tcl versions are installed, using the apparently
    usual way to deal with it, thanks to Ludovico Cavedon one more time:
    Add tcl8.3 and tcl8.4 to Build-Conflicts.
  * Set urgency to “high” due to the various FTBFS reasons.

 -- Cyril Brulebois <email address hidden>  Thu, 22 Oct 2009 00:22:06 +0200
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
Published in lenny-release on 2008-10-29
graphviz (2.20.2-3) unstable; urgency=high


  * Backport patch to fix a stack overflow in the graph parser, reported
    by IBM and fixed in 2.20.3. To avoid autotools noise, only the actual
    fix is backported here, instead of pulling a brand new upstream
    release (though functionally minimal). As usual, thanks to upstream
    for their absolute kindness:
     - debian/patches/20_fix_parser_stack_overflow
  * Set “urgency=high” accordingly, after discussion with the security
    team.

 -- Cyril Brulebois <email address hidden>  Sun, 12 Oct 2008 23:24:12 +0200
148 of 48 results